Ergebnis 1 bis 5 von 5

Thema: MySQL 5 abwärtskompatibel

  1. #1
    Administrator Avatar von admin
    Registriert seit
    16.01.2003
    Ort
    Karlsruhe
    Beiträge
    12.779
    Danke
    1
    Bekam 4 mal "Danke" in 2 Postings
    Blog-Einträge
    42

    Standard MySQL 5 abwärtskompatibel

    Ist MySQL 5 abwärtskompatibel zu MySQL 4 ?
    Sprich, laufen alle Programme die auf MySQL 4 Programmiert wurden auch unter MySQL 5 ?
    Danke !
    Achtung: Dies ist ein alter Thread im HTML und Webmaster Forum
    Diese Diskussion ist älter als 90 Tage. Die darin enthaltenen Informationen sind möglicherweise nicht mehr aktuell. Erstelle bitte zu deiner Frage ein neues Thema im Forum !!!!!
    Die Forenregeln und Nutzungsbedingungen sind auch zum lesen da !!!


  2. #2
    Interessierte/r
    Registriert seit
    18.08.2007
    Beiträge
    112
    Danke
    0
    Bekam 0 mal "Danke" in 0 Postings

    Standard

    Hi admin,

    nein eine 100% Kompatibilität ist nicht vorhanden.
    Viele Programme die mal für Version 4 programmiert wurden laufen zwar, einige aber auch nicht. Meistens bedarf es aber auch keine riesen Anpassungen.

    Ich weiß z.B. das es bei einigen Joins zu Problemen kommen kann genaueres kann ich Dir aber nicht sagen.

    Aber definitiv kann! es zu problemen kommen.

  3. #3
    Forum Guru Avatar von The User
    Registriert seit
    28.10.2007
    Ort
    Zwischen Pazifik und Atlantik...
    Beiträge
    4.044
    Danke
    0
    Bekam 0 mal "Danke" in 0 Postings

    Standard

    Also ich würde mal so sagen:
    Wenn es um eine einfache Software geht, die von einem so hobby-mäßig gemacht worden ist, sollte alles kompatibel sein, aber wenn das jetzt irgendwie von vbulletin oder so ist, gibt es bestimmt ganz komplizierte queries, die nicht passen.

  4. #4
    Administrator
    Themenstarter
    Avatar von admin
    Registriert seit
    16.01.2003
    Ort
    Karlsruhe
    Beiträge
    12.779
    Danke
    1
    Bekam 4 mal "Danke" in 2 Postings
    Blog-Einträge
    42

    Frage

    Vbulletin läuft auf allen Versionen von MySql.
    Mir geht es da nur um ein bis zwei Scripte, die schon in die Jahre gekommen sind, aber es keine Update mehr von den Programmierer mehr gibt.
    Ich kann zwar auf dem Server die PHP Version je nach Domain umschalten, aber bei der Datenbank muss ich mich pauschal entscheiden, welche Version ich verwende. Derzeit läuft noch MySql 4.
    Allerdings wird mir von jeder Seite geraten, unbedingt auf MySql 5 zu wechseln
    Die Forenregeln und Nutzungsbedingungen sind auch zum lesen da !!!


  5. #5
    Interessierte/r
    Registriert seit
    18.08.2007
    Beiträge
    112
    Danke
    0
    Bekam 0 mal "Danke" in 0 Postings

    Standard

    Hi,

    also ich weiß von einigen großen Scripts die, wie schon erwähnt, komplexere Querys aufweißen, dass sie nicht auf Anhieb funktionieren.

    Beispiel: XT-Commerce (Shop-System) Hierfür gibt es aber auch einen Fix der das ganze behebt und in der aktuellsten Version funktioniert es (meinesweissens) sowieso schon (neustes SP).

    Evtl. solltest Du dir einfach eben einen Lokalen Webserver aufsetzen, wenns schnell gehen soll per [url=http://www.apachefriends.org/de/xampp.html|xampp] und die beiden Scripts testen.

    Wie schon von mir erwähnt sind die Anpassungen, die bei einger Inkompatibilität gemacht werden müssen, meist wirklich sehr gering.

    Gruß
    Viva Los Tioz

Ähnliche Themen

  1. MySQL
    Von Olaf63 im Forum PHP Forum - Apache - CGI - Perl - JavaScript und Co.
    Antworten: 2
    Letzter Beitrag: 11.03.2008, 15:23
  2. per PHP neue MySQL-Datenbank und MySQL-Benutzer anlegen
    Von sudeki05 im Forum PHP Forum - Apache - CGI - Perl - JavaScript und Co.
    Antworten: 3
    Letzter Beitrag: 15.04.2007, 19:40
  3. mysql
    Von im Forum HTML & CSS Forum
    Antworten: 3
    Letzter Beitrag: 14.10.2006, 22:27
  4. mysql
    Von ::RMB:: im Forum Tutorials, Workshops und Anleitungen
    Antworten: 3
    Letzter Beitrag: 10.03.2006, 22:09
  5. mysql -> ...
    Von gelöschter User im Forum PHP Forum - Apache - CGI - Perl - JavaScript und Co.
    Antworten: 10
    Letzter Beitrag: 06.11.2004, 03:19

Stichworte

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •